### Function

# Soup header_parse_quality_list

#### Declaration [src]

    GSList*
    soup_header_parse_quality_list (
      const char* header,
      GSList** unacceptable
    )

#### Description [src]

Parses a header whose content is a list of items with optional “qvalue”s (eg, Accept, Accept-Charset, Accept-Encoding, Accept-Language, TE).

If `unacceptable` is not `NULL`, then on return, it will contain the items with qvalue 0. Either way, those items will be removed from the main list.

#### Parameters

`header`

  Type: `const char*`

  A header value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`unacceptable`

  Type: A list of `utf8`

  On return, will contain a list of unacceptable values.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `utf8`

A `GSList` of acceptable values (as allocated strings), highest-qvalue first.

The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.